Package org.apache.tiles.autotag.velocity

# Class VelocityDirectiveGenerator

java.lang.Object
org.apache.tiles.autotag.generate.AbstractTemplateClassGenerator
org.apache.tiles.autotag.velocity.VelocityDirectiveGenerator

All Implemented Interfaces:
  `TemplateClassGenerator`

public class VelocityDirectiveGenerator extends AbstractTemplateClassGenerator
Generates a Velocity directive using a template class.

Version:
  $Rev: 1349964 $ $Date: 2012-06-13 13:18:51 -0400 (Wed, 13 Jun 2012) $

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VelocityDirectiveGenerator(org.apache.velocity.app.VelocityEngine velocityEngine)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getDirectoryName(File directory, String packageName, TemplateSuite suite, TemplateClass clazz, Map<String,String> parameters, String runtimeClass, String requestClass)`
  Calculates and returns the directory where the file will be written..
  `protected String`
  `getFilename(File directory, String packageName, TemplateSuite suite, TemplateClass clazz, Map<String,String> parameters, String runtimeClass, String requestClass)`
  Calculates and returns the filename of the generated file.
  `protected String`
  `getTemplatePath(File directory, String packageName, TemplateSuite suite, TemplateClass clazz, Map<String,String> parameters, String runtimeClass, String requestClass)`
  Calculates and returns the template path.

  ### Methods inherited from class org.apache.tiles.autotag.generate.AbstractTemplateClassGenerator

  `generate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VelocityDirectiveGenerator

    public VelocityDirectiveGenerator(org.apache.velocity.app.VelocityEngine velocityEngine)
    Constructor.
    Parameters:
      `velocityEngine` - The Velocity engine.

- ## Method Details

  - ### getDirectoryName

    protected String getDirectoryName(File directory, String packageName, TemplateSuite suite, TemplateClass clazz, Map<String,String> parameters, String runtimeClass, String requestClass)
    Description copied from class: `AbstractTemplateClassGenerator`
    Calculates and returns the directory where the file will be written..
    Specified by:
      `getDirectoryName` in class `AbstractTemplateClassGenerator`
    Parameters:
      `directory` - The directory where the file will be written.
      `packageName` - The name of the package.
      `suite` - The template suite.
      `clazz` - The template class.
      `parameters` - The map of parameters.
    Returns:
      The template path.

  - ### getFilename

    protected String getFilename(File directory, String packageName, TemplateSuite suite, TemplateClass clazz, Map<String,String> parameters, String runtimeClass, String requestClass)
    Description copied from class: `AbstractTemplateClassGenerator`
    Calculates and returns the filename of the generated file.
    Specified by:
      `getFilename` in class `AbstractTemplateClassGenerator`
    Parameters:
      `directory` - The directory where the file will be written.
      `packageName` - The name of the package.
      `suite` - The template suite.
      `clazz` - The template class.
      `parameters` - The map of parameters.
    Returns:
      The template path.

  - ### getTemplatePath

    protected String getTemplatePath(File directory, String packageName, TemplateSuite suite, TemplateClass clazz, Map<String,String> parameters, String runtimeClass, String requestClass)
    Description copied from class: `AbstractTemplateClassGenerator`
    Calculates and returns the template path.
    Specified by:
      `getTemplatePath` in class `AbstractTemplateClassGenerator`
    Parameters:
      `directory` - The directory where the file will be written.
      `packageName` - The name of the package.
      `suite` - The template suite.
      `clazz` - The template class.
      `parameters` - The map of parameters.
    Returns:
      The template path.